be.fgov.ehealth.hubservices.core.v2

## Class SelectRequestPublicationType

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v2.SelectRequestPublicationType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-03-20T11:20:05+01:00",
                 comments="JAXB RI v2.3.7")
      public class SelectRequestPublicationType
      extends Object
      implements Serializable

  Java class for SelectRequestPublicationType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SelectRequestPublicationType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="patient" type="{http://www.ehealth.fgov.be/hubservices/core/v2}PatientIdType"/>
               <element name="transaction" type="{http://www.ehealth.fgov.be/hubservices/core/v2}BasicTransactionWithPeriodType"/>
               <element name="comment" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectRequestPublicationType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getComment()` Gets the value of the comment property.
    `PatientIdType` | `getPatient()` Gets the value of the patient property.
    `BasicTransactionWithPeriodType` | `getTransaction()` Gets the value of the transaction property.
    `void` | `setComment(String value)` Sets the value of the comment property.
    `void` | `setPatient(PatientIdType value)` Sets the value of the patient property.
    `void` | `setTransaction(BasicTransactionWithPeriodType value)` Sets the value of the transaction property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectRequestPublicationType

          public SelectRequestPublicationType()

  - ### Method Detail

    - #### getPatient

          public PatientIdType getPatient()

      Gets the value of the patient property.
      Returns:
        possible object is `PatientIdType`

    - #### setPatient

          public void setPatient(PatientIdType value)

      Sets the value of the patient property.
      Parameters:
        `value` - allowed object is `PatientIdType`

    - #### getTransaction

          public BasicTransactionWithPeriodType getTransaction()

      Gets the value of the transaction property.
      Returns:
        possible object is `BasicTransactionWithPeriodType`

    - #### setTransaction

          public void setTransaction(BasicTransactionWithPeriodType value)

      Sets the value of the transaction property.
      Parameters:
        `value` - allowed object is `BasicTransactionWithPeriodType`

    - #### getComment

          public String getComment()

      Gets the value of the comment property.
      Returns:
        possible object is `String`

    - #### setComment

          public void setComment(String value)

      Sets the value of the comment property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging TRUSSMAKER 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.